### Function

# Gtkrender_layout

deprecated: 4.10

#### Declaration [src]

    void
    gtk_render_layout (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      PangoLayout* layout
    )

#### Description [src]

Renders `layout` on the coordinates `x`, `y`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`x`

  Type: `double`

  X origin.

`y`

  Type: `double`

  Y origin.

`layout`

  Type: `PangoLayout`

  The `PangoLayout` to render.

  The data is owned by the caller of the function.